---
# - include: create_domain.yml
#   vars:
#     domain: admin
#     description: "description of domain"
#   environment: "{{ token_auth_env }}"

- name: 'Check "{{ domain }}" domain exists'
  command: openstack --insecure domain show "{{ domain }}"
  register: domainExist
  ignore_errors: True
  run_once: True
  environment: "{{ admin_auth_env }}"

- name: 'Create"{{ domain }}" domain'
  command: openstack --insecure domain create --description "{{ description }}" "{{ domain }}"
  when: domainExist is failed
  run_once: True
  environment: "{{ admin_auth_env }}"
